/*Tab Start*/
.e-tab .e-tab-header
{background:#ffffff}

.e-tab .e-tab-header .e-indicator {
  background: #0460a9;
}
.e-tab .e-tab-header .e-toolbar-item .e-tab-text {
  font-family: VoltaModernDisplay-55Roman, var(--font-family) !important;
  text-transform: capitalize;
  font-size: 13px;
  font-weight: normal;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.15;
  letter-spacing: normal;
  text-align: center;
  color: #4d4d4d;
}
.e-tab .e-tab-header .e-toolbar-item.e-active .e-tab-text
{
  font-family: VoltaModernDisplay-75,var(--font-family) !important;
  font-size: 13px;
  font-weight: bold;
  font-stretch: normal;
  font-style: normal;
  line-height: normal;
  letter-spacing: normal;
  text-align: center;
  color: #252525;
}
.e-tab .e-tab-header .e-toolbar-item.e-active .e-tab-wrap:hover .e-tab-text,
.e-tab .e-tab-header .e-toolbar-item.e-active .e-tab-wrap:hover .e-tab-icon {
  color: #252525 !important;
}

.e-tab .e-tab-header .e-toolbar-item.e-active .e-tab-text,
.e-tab .e-tab-header .e-toolbar-item.e-active .e-tab-icon {
  color: #252525 !important;
}

.e-ripple-element {
  /* background: #02305454 !important; */
  background: transparent !important;
  display: none;
}
.e-content {
  min-height: 10px;
}
/*Tab End*/
/*Grid Start*/
.e-grid th,.e-grid td {color: #000000;}
.e-grid .e-gridheader {
    border-top-style: hidden;
}
.e-toolbar , .e-toolbar .e-toolbar-items {
    background: #ffffff;    
}
.e-grid, .e-grid .e-toolbar, .e-pager {
    border: none;
}
.e-grid th.e-headercell {
    height: 60px;
    padding-top: 10px;
    background-color: #ffffff;
    border-bottom: 1.5px solid #EEEEEE !important;    
}
.e-grid .e-headercell,
.e-grid .e-detailheadercell {
  padding: 5px;
}
.e-grid .e-rowcell {
  font-family: VoltaModernDisplay-55Roman,var(--font-family) !important;
}
.e-headertext{
  font-family: VoltaModernDisplay-75,var(--font-family) !important;
  font-size: 14px;
  font-weight: bold;
  font-stretch: normal;
  font-style: normal;
  line-height: normal;
  letter-spacing: normal;
  color: #000000;
}

.e-row{
  height: 63px;
}
.e-grid td.e-rowcell {
    border-bottom: 1.5px solid #EEEEEE;
    border-top: 1.5px solid #EEEEEE;
    padding: 5px;
}

.e-grid tr:hover td{ /* grid row hover text align*/ 
  border-radius: unset !important;
  box-shadow: unset  !important;
  background-color:unset  !important;
} 

.e-grid td.e-active:first-child {border-left: 2px solid #0460a9;}

.e-grid td.e-active {
  background: transparent;
}

/* .e-grid td.e-active:first-child {
  border-top-left-radius: 3px !important;
  border-bottom-left-radius: 3px !important;
  box-shadow: inset 2px 0 0 0 #0460a9  !important;
  border-left: solid 1px #0460a9  !important;
  background-color: #ffffff  !important;
}

.e-grid td.e-active:last-child {
  border-top-right-radius: 3px !important;
  border-bottom-right-radius: 3px !important;
  border-right: solid 1px #0460a9  !important;
  background-color: #ffffff  !important;
}

.e-grid td.e-active {
  border-top: solid 1px #0460a9  !important;
  border-bottom: solid 1px #0460a9  !important;
  background-color: #ffffff  !important;
} */

.top-minus-5 {
  margin-top: -5px;
}

.top-minus-8 {
  margin-top: -8px;
}

.e-btn-icon.e-icons.e-edit::before
{
  content: url(assets/images/novartis/edit-icon.png);
  transform: scale(0.8);
  position: relative;
}

.e-btn.e-flat:focus,
.e-css.e-btn.e-flat:focus,.e-btn.e-flat:hover,
.e-css.e-btn.e-flat:hover,.e-btn.e-flat:active, .e-btn.e-flat.e-active,
.e-css.e-btn.e-flat:active,
.e-css.e-btn.e-flat.e-active {
  background-color: transparent;
}
/*Pager*/
.e-grid .e-pager {background: transparent;}
.e-pager .e-pagercontainer {
 float: right;
 margin-right: 215px;
 background: transparent;
}
.e-pager div.e-parentmsgbar {
  display: none;
}

.e-grid .e-toolbar .e-toolbar-items {
    background: #eeeeee;
}

.e-pager .e-spacing{
    background: transparent;
    color: #000000;
}

.e-pager .e-currentitem, .e-pager .e-currentitem:hover{
    background:#0460a9;
    color: #fff;
    opacity: 1;
    border-radius: 0px;
}   

.e-pager .e-icon-first::before, .e-grid-menu .e-icon-first::before {
  content: '\21E4';
}

.e-pager .e-icon-prev::before, .e-grid-menu .e-icon-prev::before {
  content: '\2190';
}

.e-pager .e-icon-next::before, .e-grid-menu .e-icon-next::before {
  content: '\2192';
}

.e-pager .e-icon-last::before, .e-grid-menu .e-icon-last::before {
  content: '\21E5';
}

.e-pager div.e-icons {
  width: 32px;
  height: 32px;
  background-color: inherit;
}

.e-pager .e-icons::before {
  display: inline-block;
  font-family: VoltaModernDisplay-55Roman,var(--font-family) !important;
  font-size: 16px;
  font-weight: normal;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.15;
  letter-spacing: normal;
  text-align: center;
  color: #252525;
}

.e-pager .e-next.e-icons.e-icon-next.e-nextpagedisabled.e-disable,
.e-pager .e-next.e-icons.e-icon-next.e-nextpage.e-pager-default {
  margin-left: 0px;
}

.e-pager .e-pagercontainer .e-firstpage,
.e-pager .e-pagercontainer .e-prevpage,
.e-pager .e-pagercontainer .e-firstpagedisabled,
.e-pager .e-pagercontainer .e-prevpagedisabled,
.e-pager .e-pagercontainer .e-nextpage,
.e-pager .e-pagercontainer .e-lastpage,
.e-pager .e-pagercontainer .e-nextpagedisabled,
.e-pager .e-pagercontainer .e-lastpagedisabled {
  margin-right: 0px;
}

.e-pager .e-numericitem {
  margin-left: 4px;
}

.e-ddl{background: #ffffff !important;}

.e-pager .e-pagesizes {
  display: none !important;
}
/*Grid End*/

/*Checkbox Start*/
.e-multi-select-list-wrapper .e-selectall-parent .e-checkbox-wrapper {
  margin :-2px 10px 2px 0px;
}
.e-popup.e-multi-select-list-wrapper .e-list-item .e-checkbox-wrapper {
  margin: 10px 10px 0px 15px !important
}
.e-frame.e-icons,.e-frame.e-icons.e-check,.e-frame.e-check,.e-frame.e-icons.e-stop,.e-frame.e-icons.e-uncheck
{
    /* padding: 3px 14px 3px 1px; */
    font-size: 13px;
}

.e-headercelldiv.e-headerchkcelldiv  .e-checkbox-wrapper
{
  /* margin-top: 11px; */
}
.e-checkbox-wrapper{
  display: inline-flex !important;
  vertical-align: middle;
}
.e-checkbox-wrapper .e-frame.e-check, .e-css.e-checkbox-wrapper .e-frame.e-check{
    background-color: #ffffff;
    border-color: #0460a9;
    color: #0460a9;    
}
.e-checkbox-wrapper .e-frame.e-check:hover, .e-css.e-checkbox-wrapper .e-frame.e-check:hover{
    background-color: #ffffff;
    border-color: #0460a9;
    color: #0460a9;    
}
.e-checkbox-wrapper .e-label {
  font-size: 13px;
  font-weight: 500;
  font-stretch: normal;
  font-style: normal;
  line-height: normal;
  letter-spacing: normal;
  color: #000000;
}
.e-checkbox-wrapper:hover .e-frame.e-check,
.e-css.e-checkbox-wrapper:hover .e-frame.e-check {
  background-color: #ffffff;
  border-color: #0460a9;
  color: #0460a9;
}
/*Checkbox End*/

/*DDL Start*/
/*SingleCheck*/
.e-outline.e-input-group.e-control-wrapper input.e-input {
  min-height: 30px;
  height: 30px;
  padding: 2px 5px 1px 12px;
}
.e-outline.e-input-group.e-control-wrapper .e-input-group-icon {
  margin: 2px 5px 1px 5px;
}

/*MultiCheck*/
.e-multiselect.e-outline .e-multi-select-wrapper {
  min-height: 30px;
  height: 30px;
  padding: 2px 40px 1px 12px;
  background-color: #ffffff;
}
.e-multiselect.e-outline.e-input-group.e-control-wrapper .e-multi-select-wrapper .e-input-group-icon.e-ddl-icon {
  margin: 4px 5px 3px 5px;
}
.e-multiselect.e-outline .e-multi-select-wrapper input[type='text'] {
  min-height: 30px;
  height: 30px;
  padding: 0px 35px 0px 0px;
  margin-top: -3px;
}
.e-multiselect.e-outline.e-input-focus .e-multi-select-wrapper input[type='text'] {
  padding: 0px 35px 0px 0px;
  margin-top: -3px;
}
.e-multiselect.e-outline .e-multi-select-wrapper .e-delim-values,.e-checkbox .e-multi-select-wrapper .e-delim-values .e-remain {
  padding: 0px 35px 0px 0px;
  line-height: 23px;
  vertical-align: super;
}

.e-dropdownbase .e-list-item.e-active,
.e-dropdownbase .e-list-item.e-active.e-hover {
  background-color: #d6d6d6;
  color: #000000;
}
.e-ddl.e-input-group.e-control-wrapper .e-ddl-icon::before, 
.e-multiselect.e-input-group .e-ddl-icon::before {
  content: url(assets/images/novartis/ddl-arrow.png);
  content: "\f078";
  font-family: FontAwesome;
  font-size: 12px;
}
.e-multiselect.e-outline .e-multi-select-wrapper .e-close-hooker::before {
  content: url('assets/images/novartis/remove.svg');
  transform: scale(0.55);
  position: relative;
  margin: -6px 20px;
}
.e-input-group:not(.e-float-icon-left):not(.e-float-input)::before,
.e-input-group:not(.e-float-icon-left):not(.e-float-input)::after,
.e-input-group.e-float-icon-left:not(.e-float-input) .e-input-in-wrap::before,
.e-input-group.e-float-icon-left:not(.e-float-input) .e-input-in-wrap::after,
.e-input-group.e-control-wrapper:not(.e-float-icon-left):not(.e-float-input)::before,
.e-input-group.e-control-wrapper:not(.e-float-icon-left):not(.e-float-input)::after,
.e-input-group.e-control-wrapper.e-float-icon-left:not(.e-float-input) .e-input-in-wrap::before,
.e-input-group.e-control-wrapper.e-float-icon-left:not(.e-float-input) .e-input-in-wrap::after {
  background: #d6d6d6;
}
/*DDL End*/

/*Control Border Start*/
.e-outline.e-input-group.e-input-focus:hover:not(.e-success):not(.e-warning):not(.e-error):not(.e-disabled):not(.e-float-icon-left),
.e-outline.e-input-group.e-input-focus.e-control-wrapper:hover:not(.e-success):not(.e-warning):not(.e-error):not(.e-disabled):not(.e-float-icon-left),
.e-outline.e-float-input.e-input-focus.e-control-wrapper:hover:not(.e-success):not(.e-warning):not(.e-error):not(.e-disabled):not(.e-float-icon-left),
.e-outline.e-float-input.e-input-focus:hover:not(.e-success):not(.e-warning):not(.e-error):not(.e-disabled):not(.e-float-icon-left),
.e-outline.e-input-group.e-input-focus.e-float-icon-left:not(.e-success):not(.e-warning):not(.e-error):not(.e-disabled),
.e-outline.e-input-group.e-input-focus.e-control-wrapper.e-float-icon-left:not(.e-success):not(.e-warning):not(.e-error):not(.e-disabled),
.e-outline.e-float-input.e-input-focus.e-float-icon-left:not(.e-success):not(.e-warning):not(.e-error):not(.e-disabled),
.e-outline.e-float-input.e-input-focus.e-control-wrapper.e-float-icon-left:not(.e-success):not(.e-warning):not(.e-error):not(.e-disabled),
.e-outline.e-float-input.e-input-focus:hover:not(.e-input-group):not(.e-success):not(.e-warning):not(.e-error):not(.e-disabled),
.e-outline.e-float-input.e-input-focus.e-control-wrapper:hover:not(.e-input-group):not(.e-success):not(.e-warning):not(.e-error):not(.e-disabled),
.e-outline.e-input-group.e-float-icon-left.e-input-focus:hover:not(.e-success):not(.e-warning):not(.e-error),
.e-outline.e-input-group.e-control-wrapper.e-float-icon-left.e-input-focus:hover:not(.e-success):not(.e-warning):not(.e-error),
.e-outline.e-input-group.e-input-focus:not(.e-success):not(.e-warning):not(.e-error):not(.e-disabled),
.e-outline.e-input-group.e-control-wrapper.e-input-focus:not(.e-success):not(.e-warning):not(.e-error):not(.e-disabled),
.e-outline.e-float-input.e-input-focus:not(.e-success):not(.e-warning):not(.e-error):not(.e-disabled),
.e-outline.e-float-input.e-control-wrapper.e-input-focus:not(.e-success):not(.e-warning):not(.e-error):not(.e-disabled),
.e-outline.e-input-group.e-float-icon-left.e-input-focus:not(.e-success):not(.e-warning):not(.e-error):not(.e-disabled),
.e-outline.e-input-group.e-control-wrapper.e-float-icon-left.e-input-focus:not(.e-success):not(.e-warning):not(.e-error):not(.e-disabled) {
  border: 1px solid #d6d6d6;
  box-shadow: none;
}
/*Control Border End*/

/*Radio Button*/
.custom-radio-btn::after {
  border-color: #0460a9 !important;
  background-color: #0460a9 !important;
  color: #0460a9 !important;
}
.custom-radio-btn::before {  
  border-color: #999999 !important;
  }
.chkdcustom-radio-btn::before {  
border-color: #0460a9 !important;
}

.e-radio:checked + label::before {
  background-color: #fff;
  border-color: #0460a9;
}

.e-radio:checked + label::after {
  background-color: #0460a9;
  color: #0460a9;
}
.e-radio:checked:focus + label::before {
  border-color: #0460a9;
}

.e-radio:checked:focus + label::after {
  background-color: #0460a9;
}

.e-radio:checked + label:hover::before {
  border-color: #0460a9;
}

.e-radio:checked + label:hover::after {
  background-color: #0460a9;
}
/*Switch*/
/* .switch{border: 1px solid #aaaaaa;padding: 5px 5px 6px 5px;border-radius: 25px;background-color:#ffffff;} */
.switch{width: 70px;border: 1px solid #aaaaaa;padding: 4px 6px;border-radius: 25px;background-color:#ffffff;}
.e-switch-wrapper,.e-css.e-switch-wrapper {width: 30px;}
.e-switch-wrapper.e-switch-disabled .e-switch-inner{opacity: 0 !important;}
.e-switch-wrapper .e-switch-handle {height: 17px; width: 17px;}
.e-switch-wrapper.e-switch-disabled .e-switch-handle.e-switch-active {background-color: #0460a9;}
.e-switch-wrapper .e-switch-on { background-color: #0460a9; }
/* .e-switch-wrapper .e-switch-handle.e-switch-active { background-color: #0460a9 !important; } */
.e-switch-wrapper .e-switch-handle.e-switch-active { background-color: #bdbdbd !important; }
.e-switch-wrapper:hover .e-switch-inner.e-switch-active .e-switch-on {background-color: #0460a9;}


/*Dialog Start*/
.e-footer-content .e-btn.e-flat
{font-size: 13px ;letter-spacing: 0;text-align: center;line-height: 15px;padding: 8px 15px;border-radius: 0; 
  height: 32px; margin: 5px 10px;text-transform: capitalize;
  background-color: #cacccf;border-color: #e4dede;color: rgb(30, 30, 30);}

.e-footer-content .e-btn.e-flat:hover
{background-color:  #a6a9ac; border-color: #adacac;}

.e-footer-content .e-btn.e-flat.e-primary{
  font-size: 13px ;letter-spacing: 0;text-align: center;line-height: 15px;padding: 8px 15px;border-radius: 0; 
  height: 32px; margin: 5px 10px; text-transform:capitalize;
  background-color: #0460a9;border-color: #0460a9;color: #FFFFFF;
}
.e-footer-content .e-btn.e-flat.e-primary:hover {
  background-color: #023054; border-color: #023054; color: #ffffff;
}
.e-dialog .e-icon-dlg-close::before {
  content: url('assets/images/novartis/remove.svg');
  position: relative;
}
.e-dialog .e-btn.e-dlg-closeicon-btn:hover,
.e-dialog .e-btn.e-dlg-closeicon-btn:focus,
.e-dialog .e-btn.e-dlg-closeicon-btn:active {
  background-color: transparent;
}
/*Dialog End*/

/*Badge Start*/
.e-badge.e-badge-primary.e-badge-pill {
  background-color: #023054; 
  border-color: #023054;
  padding: 8px 8px 0px 8px;
  height: 18px;
  line-height: 0px;
  font-weight: 600;
}
/*Badge End*/








/*********************************************/
.e-input-group,
.e-input-group.e-control-wrapper {
  margin-bottom: 0px;
}

.e-outline.e-input-group.e-control-wrapper,
.e-outline.e-input-group,
.e-outline.e-input-group:not(.e-float-icon-left),
.e-outline.e-float-input,
.e-outline.e-float-input.e-control-wrapper,
.e-outline.e-input-group:not(.e-float-icon-left),
.e-outline.e-input-group.e-success:not(.e-float-icon-left),
.e-outline.e-input-group.e-warning:not(.e-float-icon-left),
.e-outline.e-input-group.e-error:not(.e-float-icon-left),
.e-outline.e-input-group.e-control-wrapper:not(.e-float-icon-left),
.e-outline.e-input-group.e-control-wrapper.e-success:not(.e-float-icon-left),
.e-outline.e-input-group.e-control-wrapper.e-warning:not(.e-float-icon-left),
.e-outline.e-input-group.e-control-wrapper.e-error:not(.e-float-icon-left) {
  border-radius: 2px;
}

.e-outline.e-input-group input.e-input,
.e-outline.e-float-input.e-input-group input,
.e-outline.e-input-group.e-control-wrapper input.e-input,
.e-outline.e-float-input.e-input-group.e-control-wrapper input,
.e-outline.e-float-input input,
.e-outline.e-float-input.e-control-wrapper input {
  /* min-height: 30px;
  padding: 2px 5px 2px 12px;
  color: rgb(0, 0, 0);
  font-size: 13px;
  height: 30px;
  letter-spacing: 0px;
  line-height: 15px; */
}

.e-outline.e-input-group .e-input-group-icon,
.e-outline.e-input-group.e-control-wrapper .e-input-group-icon {
  /* font-size: 13px;
  margin: 2px 3px 2px 0; */
  /* margin: 0px 5px 5px 0; */
}


.e-popup.e-multi-select-list-wrapper .e-list-item {
  border: 1px solid transparent;
  display: inline-flex;
}

/** List Box Start */
.e-listbox-wrapper, .e-listbox-wrapper .e-selectall-parent {
  border: none;
}
.e-list-item, .e-all-text {
  font-family: VoltaModernDisplay-55Roman,var(--font-family) !important;
  font-size: 14px;
  font-weight: normal;
  font-stretch: normal;
  font-style: normal;
  line-height: normal;
  letter-spacing: normal;
  color: #252525;
}
/** List Box End */
/*Tree View Start*/
.e-treeview .e-list-item.e-active > .e-text-content, .e-treeview .e-list-item.e-active:hover > .e-text-content {
  color: #000000;
}

.e-treeview .e-list-item.e-active > .e-text-content .e-list-text, .e-treeview .e-list-item.e-active:hover > .e-text-content .e-list-text {
  color: #000000;
}

.e-treeview .e-checkbox-wrapper + .e-list-text {
  padding: 0 10px;
  text-transform: capitalize;
  /* margin-top: -11px; */
  padding-top: 5px;
}

.e-listbox-wrapper .e-list-item,
.e-treeview .e-list-text, .e-list-item, .e-all-text {
  font-family: VoltaModernDisplay-65, var(--font-family) !important;
  font-size: 13px;
  font-weight: 500;
  font-stretch: normal;
  font-style: normal;
  line-height: normal;
  letter-spacing: normal;
  color: #000000;
  text-transform: capitalize;
}

.e-treeview.e-fullrow-wrap .e-text-content {
  border-color: transparent;
  margin-left: -32px;
}
/*Tree View End*/

/*Spinner*/

.e-spin-material {
  stroke: #0460a9 !important;
  zoom: 1.5 !important; 
}

#physical-View_toolbarItems .e-toolbar-right {
  margin-right: -3px;
}

#glossTab_toolbarItems .e-toolbar-right {
  margin-right: -14px;
}

:focus,
.focus {
  box-shadow: none;
}

.fa-info-circle:before {
  content: url('assets/images/feature_icons/info.png');
}

::selection {
  background: #d6d6d6;
  color: #fff;
}

input.e-input::selection,
textarea.e-input::selection,
.e-input-group input.e-input::selection,
.e-input-group.e-control-wrapper input.e-input::selection,
.e-float-input input::selection,
.e-float-input.e-control-wrapper input::selection,
.e-input-group textarea.e-input::selection,
.e-input-group.e-control-wrapper textarea.e-input::selection,
.e-float-input textarea::selection,
.e-float-input.e-control-wrapper textarea::selection {
  background: #d6d6d6;
  color: #fff;
}


.e-toolbar .e-toolbar-items .e-toolbar-item {
  cursor: default;
}